import { Ref } from 'vue';
import { JsonNode, Service } from '@fly-vue/lcdp-designer';
import { IJson } from './extend/components/meta-dynamic-entity-form/type';
export declare type DC = ReturnType<typeof useDesignerComment>;
interface IParams {
    service: Ref<Service | undefined>;
    hasChange: Ref<boolean>;
    content: Ref<IJson | undefined>;
}
export interface IDesignerComment {
    id: string;
    index: string | number;
    content: string;
}
/**
 * 在组件 class 上增加特定 class+id 以定位标注
 */
export declare function useDesignerComment(params: IParams): {
    list: Ref<{
        id: string;
        index: string | number;
        content: string;
    }[]>;
    selectedId: Ref<string | undefined>;
    commentMode: Ref<boolean>;
    showPointers: Ref<boolean>;
    vIfPointers: Ref<boolean>;
    reloadPointers: () => Promise<void>;
    onSelectComment: (cm: IDesignerComment) => void;
    onDesignerReady: () => void;
    onDesignerPaste: ({ copyNode: node }: {
        copyNode: JsonNode;
    }) => void;
    onRerender: () => void;
    onSelectNode: (params: {
        node: JsonNode;
    }) => void;
    onDeleteNode: (params: {
        node: JsonNode;
    }) => void;
    onBlur: () => void;
    onRemove: ({ id }: {
        id: string;
    }) => void;
    loaded: Ref<boolean>;
    openNodeComment: (node: JsonNode) => Promise<void>;
};
export {};
