import { SchemaDefs } from '@fly-vue/lcdp-engine';
import { JsonNode, Service } from '@fly-vue/lcdp-designer';
import { Ref } from 'vue';
interface IParams {
    service?: Ref<Service | undefined>;
    schemas?: Ref<SchemaDefs>;
    emitGlobalDesignerInfo?: boolean;
}
interface IDesignerInfo {
    dragId?: string;
    rootNode?: JsonNode & {
        meta?: Record<string, any>;
    };
    service?: Service;
    schemas?: SchemaDefs;
}
export declare const designerInfo: Ref<IDesignerInfo | undefined>;
export declare const designerCurrentNode: Ref<JsonNode | undefined>;
export declare function useDesignerInfo(params: IParams): {
    changeCurrentDesignerInfo: () => void;
    dragId: Ref<string>;
    selectedNode: Ref<JsonNode | undefined>;
    info: import("vue").ComputedRef<IDesignerInfo>;
    designerInfo: Ref<IDesignerInfo | undefined>;
    designerCurrentNode: Ref<JsonNode | undefined>;
};
export {};
