import { PropType } from 'vue';
import { IDynamicField, IExtendedField, IJson } from './type';
import { IField } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    formId: {
        type: StringConstructor;
        required: true;
    };
    appId: {
        type: StringConstructor;
    };
    entityName: {
        type: StringConstructor;
        default: string;
    };
    fields: {
        type: PropType<IExtendedField[]>;
    };
    defaultFields: {
        type: PropType<string[]>;
    };
    onlyDynamicFields: {
        type: BooleanConstructor;
    };
    formData: {
        type: ObjectConstructor;
        default: () => {};
    };
    formType: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    onlyFormItems: {
        type: BooleanConstructor;
    };
    formItemPropPrefix: {
        type: StringConstructor;
    };
    json: {
        type: PropType<IJson>;
    };
    span: {
        type: StringConstructor;
        default: string;
    };
    labelWidth: {
        type: NumberConstructor;
    };
    showSettingBtn: {
        type: BooleanConstructor;
    };
    /**
     * 动态实体字段表单有两种模式：
     * 1. setting 设置模式：用于管理员设置动态字段，可预览设置好的表单，会显示设置按钮，点击确定之后会生成低代码表单页面，由on-save事件抛出去
     * 2. view 查看模式：用于普通用户使用表单时显示使用
     */
    mode: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    /**
     * 启用默认存储位置 MetaFile
     */
    useDefaultStore: {
        type: BooleanConstructor;
    };
}, {
    __sfc: boolean;
    props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
        mode: string;
        span: string;
        formData: Record<string, any>;
        formId: string;
        formType: string;
        entityName: string;
        onlyDynamicFields: boolean;
        onlyFormItems: boolean;
        showSettingBtn: boolean;
        useDefaultStore: boolean;
    } & {
        appId?: string | undefined;
        json?: IJson | undefined;
        fields?: IExtendedField[] | undefined;
        defaultFields?: string[] | undefined;
        formItemPropPrefix?: string | undefined;
        labelWidth?: number | undefined;
    }>>>;
    emit: (event: "on-save" | "on-reload" | "on-loaded-entity", ...args: any[]) => void;
    selectedFields: import("vue").Ref<IDynamicField[] | undefined>;
    payload: import("vue").Ref<any>;
    vIf: import("vue").Ref<boolean>;
    isShow: import("vue").Ref<boolean>;
    settingForm: import("vue").Ref<any>;
    loading: import("vue").Ref<boolean>;
    refRenderer: import("vue").Ref<any>;
    refMsg: import("vue").Ref<any>;
    refForm: import("vue").Ref<any>;
    id: import("vue").ComputedRef<string>;
    channelId: import("vue").ComputedRef<string>;
    rendererConfig: import("@fly-vue/lcdp-engine").LcdpRendererConfig;
    entity: import("vue").Ref<import("@fly-vue/lcdp-api").IEntity | undefined>;
    entityLoaded: import("vue").Ref<boolean>;
    fields: import("vue").ComputedRef<IField[] | null>;
    span: import("vue").Ref<string>;
    reload: () => Promise<void>;
    getDynamicFieldsFromJson: (json?: IJson | undefined) => IDynamicField[];
    openFieldsSetting: () => void;
    save: (selectedFieldNames?: string[] | undefined) => Promise<void>;
    onMessage: ({ message }: {
        message: Record<string, any>;
    }) => void;
    handleDefaultValue: () => void;
    LcdpRenderer: import("vue").DefineComponent<{
        onRender: {
            type: PropType<(context: any) => any>;
            required: boolean;
        };
        onRendered: {
            type: PropType<(context: any) => any>;
            required: boolean;
        };
        payload: {
            type: (ObjectConstructor | StringConstructor)[];
            requried: boolean;
        };
        config: {
            type: PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
        };
        ignoreMicroAppIdInQuery: {
            type: BooleanConstructor;
        };
    }, {
        isAdpativePage: import("vue").Ref<boolean>;
        comDef: import("vue").Ref<import("vue").DefineComponent<{
            onRender: {
                type: PropType<(context: any) => any>;
                required: boolean;
            };
            onRendered: {
                type: PropType<(context: any) => any>;
                required: boolean;
            };
            payload: {
                type: PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
            };
        }, {
            preprocessed: import("vue").Ref<boolean>;
            compiledPage: any;
            compiledPageRef: any;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
            onRender: {
                type: PropType<(context: any) => any>;
                required: boolean; /**
                 * 启用默认存储位置 MetaFile
                 */
            };
            onRendered: {
                type: PropType<(context: any) => any>;
                required: boolean;
            };
            payload: {
                type: PropType<import("@fly-vue/lcdp-engine").LcdpAdaptivePage>;
            };
        }>>, {}>>;
        masterPayload: any;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, {}, string, Readonly<import("vue").ExtractPropTypes<{
        onRender: {
            type: PropType<(context: any) => any>;
            required: boolean;
        };
        onRendered: {
            type: PropType<(context: any) => any>;
            required: boolean;
        };
        payload: {
            type: (ObjectConstructor | StringConstructor)[];
            requried: boolean;
        };
        config: {
            type: PropType<import("@fly-vue/lcdp-engine").LcdpRendererConfig>;
        };
        ignoreMicroAppIdInQuery: {
            type: BooleanConstructor;
        };
    }>>, {
        ignoreMicroAppIdInQuery: boolean;
    }>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    IconBtn: () => Promise<typeof import("@fly-vue/ide-base/@types/components/button/icon-btn.vue")>;
    SetFormFields: import("vue").DefineComponent<{
        fields: {
            type: PropType<IField[]>;
        };
        value: {
            type: PropType<string[]>;
        };
        span: {
            type: StringConstructor;
        };
    }, {
        __sfc: boolean;
        props: Readonly<Readonly<import("vue/types/common").LooseRequired<{} & {
            value?: string[] | undefined;
            span?: string | undefined;
            fields?: IField[] | undefined;
        }>>>;
        emit: (event: "update:span", ...args: any[]) => void;
        selected: import("vue").Ref<string[]>;
        padding: boolean;
        span: import("vue").Ref<string | undefined> | import("vue").WritableComputedRef<string | undefined>;
        spanList: {
            label: string;
            value: string;
        }[];
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcSelect: () => Promise<typeof import("@fly-vue/ide-base/@types/components/form/select.vue")>;
        SelectFields: import("vue").DefineComponent<{
            fields: {
                type: PropType<IField[]>;
                required: true;
            };
            value: {
                type: PropType<string[]>;
            };
            filterFunc: {
                type: FunctionConstructor;
            };
            itemClass: {
                type: StringConstructor;
                default: string;
            };
        }, {
            __sfc: boolean;
            props: Readonly<Readonly<import("vue/types/common").LooseRequired<{
                fields: IField[];
                itemClass: string;
            } & {
                value?: string[] | undefined;
                filterFunc?: Function | undefined;
            }>>>;
            emit: (event: "input", ...args: any[]) => void;
            innerValue: import("vue").Ref<string[] | undefined> | import("vue").WritableComputedRef<string[] | undefined>;
            candidateFields: import("vue").ComputedRef<IField[]>;
            listSort: (a: IField, b: IField) => number;
            Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
            LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "input"[], string, Readonly<import("vue").ExtractPropTypes<{
            fields: {
                type: PropType<IField[]>;
                required: true;
            };
            value: {
                type: PropType<string[]>;
            };
            filterFunc: {
                type: FunctionConstructor;
            };
            itemClass: {
                type: StringConstructor;
                default: string;
            };
        }>>, {
            itemClass: string;
        }>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, "update:span"[], string, Readonly<import("vue").ExtractPropTypes<{
        fields: {
            type: PropType<IField[]>;
        };
        value: {
            type: PropType<string[]>;
        };
        span: {
            type: StringConstructor;
        };
    }>>, {}>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-save" | "on-reload" | "on-loaded-entity")[], string, Readonly<import("vue").ExtractPropTypes<{
    formId: {
        type: StringConstructor;
        required: true;
    };
    appId: {
        type: StringConstructor;
    };
    entityName: {
        type: StringConstructor;
        default: string;
    };
    fields: {
        type: PropType<IExtendedField[]>;
    };
    defaultFields: {
        type: PropType<string[]>;
    };
    onlyDynamicFields: {
        type: BooleanConstructor;
    };
    formData: {
        type: ObjectConstructor;
        default: () => {};
    };
    formType: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    onlyFormItems: {
        type: BooleanConstructor;
    };
    formItemPropPrefix: {
        type: StringConstructor;
    };
    json: {
        type: PropType<IJson>;
    };
    span: {
        type: StringConstructor;
        default: string;
    };
    labelWidth: {
        type: NumberConstructor;
    };
    showSettingBtn: {
        type: BooleanConstructor;
    };
    /**
     * 动态实体字段表单有两种模式：
     * 1. setting 设置模式：用于管理员设置动态字段，可预览设置好的表单，会显示设置按钮，点击确定之后会生成低代码表单页面，由on-save事件抛出去
     * 2. view 查看模式：用于普通用户使用表单时显示使用
     */
    mode: {
        type: StringConstructor;
        enums: string[];
        default: string;
    };
    /**
     * 启用默认存储位置 MetaFile
     */
    useDefaultStore: {
        type: BooleanConstructor;
    };
}>>, {
    mode: string;
    span: string;
    formData: Record<string, any>;
    formType: string;
    entityName: string;
    onlyDynamicFields: boolean;
    onlyFormItems: boolean;
    showSettingBtn: boolean;
    useDefaultStore: boolean;
}>;
export default _default;
