import { Ref } from 'vue';
import { INaviSelected } from '@fly-vue/ide-core';
import { IHeaderMenu, IMenuInfo, MenuTarget, ILayoutSetting, ISubsystem } from '@fly-vue/lcdp-api';
declare const _default: import("vue").DefineComponent<{
    subSystem: null;
    layoutConfig: null;
    hideHeaderMenus: {
        type: BooleanConstructor;
    };
    headerId: null;
    headerTitle: null;
}, {
    __sfc: boolean;
    props: {
        subSystem?: ISubsystem | undefined;
        layoutConfig: ILayoutSetting;
        hideHeaderMenus?: boolean | undefined;
        headerId?: string | undefined;
        headerTitle?: string | undefined;
    };
    config: Ref<ILayoutSetting>;
    emit: (event: "on-change" | "on-select" | "on-save" | "on-click" | "on-load" | "on-select-header", ...args: any[]) => void;
    refHeader: Ref<any>;
    editing: Ref<IHeaderMenu | IMenuInfo | undefined>;
    editingHeader: Ref<any>;
    refSider: Ref<any>;
    siderList: Ref<{
        id?: string | undefined;
        title: string;
        header?: string | undefined;
        path?: string | undefined;
        icon?: string | undefined;
        disabled?: boolean | undefined;
        custom?: string | undefined;
        auth?: string[] | undefined;
        $secured?: string | undefined;
        target?: MenuTarget | undefined;
        children?: any[] | undefined;
    }[]>;
    subSystem: Ref<ISubsystem | undefined>;
    navi: Ref<import("@fly-vue/lcdp-api").INavi | undefined>;
    reload: (subSystem?: ISubsystem | undefined, headerTitle?: string | undefined) => Promise<void>;
    selectedHeaderName: Ref<any>;
    saveHeader: (subSystem?: ISubsystem | undefined) => Promise<void>;
    isMenuIsolated: boolean | undefined;
    setSiderList: () => void;
    addSider: () => Promise<void>;
    onSelectHeader: (menu: IHeaderMenu) => void;
    onSelectSidebar: (menu: IMenuInfo) => void;
    onSelectPage: () => void;
    onAddMenu: (p: IMenuInfo) => Promise<void>;
    onRemove: (menu: IMenuInfo) => Promise<void>;
    onRemoveHeader: (header: IHeaderMenu) => Promise<void>;
    onDrag: (newMenus: IMenuInfo[]) => void;
    getSiderListExcludeByHeaderName: (headerName: string) => IMenuInfo[];
    getNaviSelectedType: () => INaviSelected;
    selectDefaultHeader: () => void;
    NaviHeader: import("vue").DefineComponent<{
        subSystem: null;
        layoutConfig: null;
        navi: null;
        hideMenus: {
            type: BooleanConstructor;
        };
        selected: null;
    }, {
        __sfc: boolean;
        props: {
            subSystem?: ISubsystem | undefined;
            layoutConfig: ILayoutSetting;
            navi?: import("@fly-vue/lcdp-api").INavi | undefined;
            hideMenus?: boolean | undefined;
            selected?: string | undefined;
        };
        emit: (event: "on-select" | "on-remove" | "on-click-header", ...args: any[]) => void;
        config: Ref<ILayoutSetting>;
        selectedHeaderId: Ref<string | undefined>;
        globalConfig: import("vue").ComputedRef<import("@fly-vue/lcdp-api").IGlobalConfig>;
        headerList: import("vue").ComputedRef<IHeaderMenu[]>;
        onSelectHeader: (name?: string | undefined) => void;
        selectDefaultHeader: () => void;
        getLabel: (menu: IHeaderMenu) => (h: any) => any;
        onHeaderClose: (menu: IHeaderMenu) => Promise<void>;
        genName: <T = any>(name: string, list: T[], prop: keyof T) => string;
        addHeader: () => void;
        handleDragDrop: (aName: string, bName: string, aIndex: number, bIndex: number, names: string[]) => void;
        reorder: () => void;
        isShow: (header: IHeaderMenu) => boolean;
        finalLogo: import("vue").ComputedRef<string>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-remove" | "on-click-header")[], string, Readonly<import("vue").ExtractPropTypes<{
        subSystem: null;
        layoutConfig: null;
        navi: null;
        hideMenus: {
            type: BooleanConstructor;
        };
        selected: null;
    }>>, {
        hideMenus: boolean;
    }>;
    Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
    Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
    LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
    NaviSider: import("vue").DefineComponent<{
        data: null;
        theme: {
            default: string;
        };
    }, {
        __sfc: boolean;
        props: {
            data: IMenuInfo[];
            theme: "light" | "dark";
        };
        refTree: Ref<any>;
        emit: (event: "on-select" | "on-remove" | "on-add-child" | "on-drag", ...args: any[]) => void;
        onSelect: (node: any) => Promise<void>;
        onDrag: () => Promise<void>;
        addMenu: (menu: IMenuInfo) => void;
        remove: (menu: IMenuInfo) => Promise<void>;
        select: (id: string) => void;
        Tree: typeof import("element-ui").Tree;
        Row: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/row.vue")>;
        Column: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/column.vue")>;
        LcText: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/text.vue")>;
        Space: () => Promise<typeof import("@fly-vue/ide-base/@types/components/layout/space.vue")>;
        Icon: () => Promise<typeof import("@fly-vue/ide-base/@types/components/display/icon.vue")>;
    }, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-select" | "on-remove" | "on-add-child" | "on-drag")[], string, Readonly<import("vue").ExtractPropTypes<{
        data: null;
        theme: {
            default: string;
        };
    }>>, {
        theme: string;
    }>;
}, {}, {}, {}, import("vue/types/v3-component-options").ComponentOptionsMixin, import("vue/types/v3-component-options").ComponentOptionsMixin, ("on-change" | "on-select" | "on-save" | "on-click" | "on-load" | "on-select-header")[], string, Readonly<import("vue").ExtractPropTypes<{
    subSystem: null;
    layoutConfig: null;
    hideHeaderMenus: {
        type: BooleanConstructor;
    };
    headerId: null;
    headerTitle: null;
}>>, {
    hideHeaderMenus: boolean;
}>;
export default _default;
